#!/bin/sh
#Interfaz gtkdialog que presenta todas las tareas que "puede" hacer garraxi2.
#
#Este script est licenciado bajo la [1] GNU General Public License (GPL) y por tanto
# se permite su copia, distribucin y/o modificacin mientras se mantenga su licencia y
# se cite que est realizado por [2] Garraxi Irratia. Contacto: [3] Martintxo
#
#[1] http://www.gnu.org/copyleft/gpl.html
#[2] http://sindominio.net/garraxi/
#[3] martintxo@sindominio.net

#Para comprobar que es garraxi2 el que ejecuta el script (si no es exit, si es continua...):
QUIENSOY=`whoami`;
if [ "$QUIENSOY" != "garraxi2" ];then
export MAIN_DIALOG1='
<window title="Administrador de la Emision" resizable="false">
 <vbox>
  <pixmap>
    <input file>/usr/local/share/pixmaps/warning.xpm</input>
  </pixmap>
  <text use-markup="true">
    <label>"Me parece que tu no eres el <b>Administrador de la Emision</b>."</label>
  </text>
  <text use-markup="true">
    <label>"<b>Abortando...</b>"</label>
  </text>
  <hbox>
   <button ok></button>
  </hbox>
 </vbox>
</window>
'
gtkdialog --center --name=soma --program=MAIN_DIALOG1
exit
fi

#Panel en gtkdialog donde elegir la accion a realizar:
export MAIN_DIALOG2='
<window title="Panel del Admin. de Emision" resizable="false">
<vbox>
 <hbox>
  <text use-markup="true">
    <label>"<big><b>Panel del Administrador de la Emision.               </b></big>"</label>
  </text>
 </hbox>
 <hbox>
  <hbox>
  <frame Acciones sobre los sonidos>
      <hbox>
         <button>
         <label>Proteger Musica/Kunyas</label>
         <action>garraxi2-chown.sh</action>
	 <input file>/usr/local/share/pixmaps/somaplayer_16.png</input>
        </button>
      </hbox>
      <hbox>
        <button>
         <label>Editar tags en musica protegida</label>
         <action>tagtool</action>
	 <input file>/usr/local/share/pixmaps/TagTool.xpm</input>
        </button>
      </hbox>
      <hbox>
         <button>
         <label>Gestor archivos EndeavourII (modo Admin)</label>
         <action>endeavour2</action>
	 <input file>/usr/local/share/pixmaps/endeavour.xpm</input>
        </button>
      </hbox>
      <hbox>
         <button>
         <label>Editar archivo config. programas a grabar</label>
         <action>garraxi2-editprog.sh</action>
	 <input file>/usr/local/share/pixmaps/somaplayer_16.png</input>
        </button>
      </hbox>
      <hbox>
         <button>
         <label>Gestion completa de la Parrilla</label>
         <action>garraxi2-gestionparrilla-aux.sh</action>
	 <input file>/usr/local/share/pixmaps/somaplayer_16.png</input>
        </button>
      </hbox>
      <hbox>
         <button>
         <label>Hacer que Somad relea la parrilla</label>
         <action>garraxi2-releerpalinsesto-aux.sh</action>
	 <input file>/usr/local/share/pixmaps/somaplayer_16.png</input>
        </button>
      </hbox>
  </frame>
  </hbox>
  <hbox>
  <frame Acciones sobre los ordenatas>
      <hbox>
        <button>
         <label>Ajustar volumenes SERVIDOR</label>
         <action>garraxi2-mixerserver-aux.sh</action>
	 <input file>/usr/local/share/pixmaps/icon_aumix.xpm</input>
        </button>
      </hbox>
      <hbox>
        <button>
         <label>Cambiar fecha/hora SERVIDOR</label>
         <action>ssh -X garraxi2@192.168.0.1 set-time.sh</action>
	 <input file>/usr/local/share/pixmaps/ooo_calc.xpm</input>
        </button>
      </hbox>
      <hbox>
         <button>
         <label>Apagar/Reiniciar SERVIDOR</label>
         <action>apagar-server-aux.sh</action>
	 <input file>/usr/local/share/pixmaps/stop.xpm</input>
        </button>
      </hbox>
      <hbox>
         <button>
         <label>Ajustar volumen AUXILIAR</label>
         <action>aumix -d /dev/mixer && sudo alsactl store 0</action>
	 <input file>/usr/local/share/pixmaps/icon_aumix.xpm</input>
        </button>
      </hbox>
      <hbox>
         <button>
         <label>Cambiar fecha/hora del AUXILIAR</label>
         <action>set-time.sh</action>
	 <input file>/usr/local/share/pixmaps/ooo_calc.xpm</input>
        </button>
      </hbox>
      <hbox>
         <button>
         <label>Terminal de texto (AUX. y SERVER)</label>
         <action>mrxvt -sb -sl 1000 -g 85x25 -sr -stt -tnum 2 -vt0.tt Aux1:garraxi2 -vt1.tt Serv:garraxi2 -vt1.e "ssh -X garraxi2@192.168.0.1"</action>
         <input file>/usr/local/share/pixmaps/konsole.xpm</input>
	</button>
      </hbox>
  </frame>
  </hbox>
 </hbox>
 <hbox>
  <button cancel></button>
 </hbox>
</vbox>
</window>
'
gtkdialog --center --name=soma --program=MAIN_DIALOG2
